package com.lightinit.hsdatashow.impl.admin;

import com.lightinit.hsdatashow.mapper.CockpitMapper;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.ChartModel;
import com.lightinit.hsdatashow.service.admin.ICockpitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: sunxiang
 * @Date: 2018/8/14 16:28
 * @Description:
 **/
@Service
public class CockpitServiceImpl implements ICockpitService {

    @Autowired
    private CockpitMapper cockpitMapper;
    @Override
    public ResultState getIndex(ArrayList<String> findIndexes) {
        ResultState resultState = new ResultState();
        List<ChartModel> list=cockpitMapper.getIndex(findIndexes);
        resultState.setData(list);
        return resultState;
    }
}
